Skala
Stock transfers

List transfer numbers

Retrieves a list of reference numbers associated with existing stock transfers.

GET
/api/stock_transfers/stock_transfer_number

Retrieves a list of reference numbers associated with existing stock transfers.

AuthorizationBearer <token>

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Default10
Range0 <= value
pagination?boolean

Enable or disable pagination

code?string
origin.name?string
destination.name?string
transferDate[before]?string
transferDate[strictly_before]?string
transferDate[after]?string
transferDate[strictly_after]?string

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/stock_transfers/stock_transfer_number"
[
  {
    "id": 0,
    "code": "string",
    "series": "string",
    "number": 0,
    "transferDate": "2019-08-24T14:15:22Z",
    "origin": {
      "id": 0,
      "name": "string"
    },
    "destination": {
      "id": 0,
      "name": "string"
    },
    "description": "string",
    "items": [
      {
        "id": 0,
        "stock": {
          "id": 0,
          "unit": {
            "id": 0,
            "name": "string"
          },
          "currency": {
            "id": 0,
            "name": "string",
            "code": "string",
            "symbol": "string"
          }
        },
        "stockVariant": {
          "id": 0,
          "stock": {
            "id": 0,
            "unit": {
              "id": 0,
              "name": "string"
            },
            "currency": {
              "id": 0,
              "name": "string",
              "code": "string",
              "symbol": "string"
            }
          },
          "name": "string"
        },
        "quantity": "string",
        "unitCost": "string",
        "totalCost": "string",
        "availableInOrigin": "string"
      }
    ],
    "status": "string"
  }
]